Skip to main content

Submit your spotlight usage

POST/v2/users/self/spotlights/{spotlightId}/feedback
API version
v2
Request method
POST
Operation ID
user-spotlight-feedback

Request​

  • spotlightIdstringrequired

Responses​

No response content specified.

Usage examples​

$ curl \
--fail \
--location \
-X POST \
-d '{"decision":"keep","message":"string"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/users/self/spotlights/string/feedback
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.user.spotlightFeedback({
"spotlightId": "string",
"data": {
"decision": "keep",
"message": "string"
}
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\User\SpotlightFeedback\SpotlightFeedbackRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\User\SpotlightFeedback\SpotlightFeedbackRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// SpotlightFeedbackRequestBody to learn how to construct a valid instance
$body = new SpotlightFeedbackRequestBody(/* TODO: ... */);

$request = (new SpotlightFeedbackRequest(
spotlightId: "string",
body: $body
));
$response = $client->user()->spotlightFeedback($request);

var_dump($response->getBody();

On this page